;Ctrl+Alt+W to start script
;Ctrl+P to pause script and Ctrl+P again to resume
;The AHK icon in system tray will turn red while paused.
;Ctrl+R to reload script
;Date: 12/10/2011

SetDefaultMouseSpeed, 2 ; MouseSpeed 2 it's too fast, MouseSpeed 3 too slow.
SetMouseDelay, 21

;Top left pined window locations
TopLeftX:=65
TopLeftY:=50

;Window size
WinSizeX:=280
WinSizeY:=130

;Click locations
PlaneRepairX:= 65
PlaneRepairY:= 95
PinX:=270
PinY:=50

;Window search locations
W1TLx:= 9
W1TLy:= 30
W1BRx:= W1TLx + WinSizeX
W1BRy:= W1TLy + WinSizeY
W2TLx:= W1BRx
W2TLy:= W1TLy
W2BRx:= W1BRx + WinSizeX
W2BRy:= W1BRy
W3TLx:= W2BRx
W3TLy:= W1TLy
W3BRx:= W2BRx + WinSizeX
W3BRy:= W2BRy
W4TLx:= W3BRx
W4TLy:= W1TLy
W4BRx:= W3BRx + WinSizeX
W4BRy:= W3BRy

W5TLx:= 9
W5TLy:= 160
W5BRx:= W5TLx + WinSizeX
W5BRy:= W5TLy + WinSizeY
W6TLx:= W5BRx
W6TLy:= W5TLy
W6BRx:= W6TLX + WinSizeX
W6BRy:= W5TLy + WinSizeY
W7TLx:= W6BRx
W7TLy:= W5TLy
W7BRx:= W7TLx + WinSizeX
W7BRy:= W5TLy + WinSizeY
W8TLx:= W7BRx
W8TLy:= W5TLy
W8BRx:= W8TLx + WinSizeX
W8BRy:= W5TLy + WinSizeY

Cleanup(){
	Row:=1
	Column:=1	

	loop %Planes% {

		if (Row = 1) {
			if (Column = 1) {
					actionx:= PinX
					actiony:= PinY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 2) {
					actionx:= PinX + WinSizeX
					actiony:= PinY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 3) {
					actionx:= PinX + 2*WinSizeX
					actiony:= PinY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 4) {
					actionx:= PinX + 3*WinSizeX
					actiony:= PinY
					Click %actionx%, %actiony%
					Column:=1
					Row:=++Row
			}
			
		} else if (Row = 2) {
			if (Column = 1) {
					actionx:= PinX
					actiony:= PinY + WinSizeY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 2) {
					actionx:= PinX + WinSizeX
					actiony:= PinY + WinSizeY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 3) {
					actionx:= PinX + 2*WinSizeX
					actiony:= PinY + WinSizeY
					Click %actionx%, %actiony%
					Column:=Column + 1
			} else if (Column = 4) {
					actionx:= PinX + 3*WinSizeX
					actiony:= PinY + WinSizeY
					Click %actionx%, %actiony%
				}
			}
		}
	}

^r::reload
^p::Pause
^!w::



	Gui, +AlwaysOnTop +ToolWindow
	Gui, Add, Text,, # of Wood Planes to Work?`n(1-8):
	Gui, Add, Edit, vPlanes wp number
	Gui, Add, Text,, Amount of wood in inventory?`n
	Gui, Add, Edit, vWood wp number
	Gui, Add, Text,, Amount of blades in inventory?'n
	Gui, Add, Edit, vBlade wp number
	Gui, Add, Button, gStart, Next
	Gui, Show
	return



Start:
Gui, Submit
Gui, Destroy

Msgbox, Open and pin each wood plane in the top left corner of the screen stacked on top of each other.'n'nPress F2 when this is complete.'nClick OK to proceed...

WinActivate, eGenesis Client

KeyWait, F2, D

Row:=1
Column:=1

loop %Planes%
{

	Click up
	MouseMove %TopLeftX%, %TopLeftY%
	Click down

	if (Row = 1) {
		if (Column = 1) {
			OffsetX:= TopLeftX + WinSizeX
			Column:=Column + 1
			MouseMove %OffsetX%, %TopLeftY%
			Click up
			Window2X:= OffsetX
			Window2Y:= TopLeftY
		} else if (Column = 2) {
			OffsetX:= TopLeftX + 2*WinSizeX
			Column:=Column + 1
			MouseMove %OffsetX%, %TopLeftY%
			Click up
			Window3X:= OffsetX
			Window3Y:= TopLeftY
		} else if (Column = 3) {
			OffsetX:= TopLeftX + 3*WinSizeX
			Column:=Column + 1
			MouseMove %OffsetX%, %TopLeftY%
			Click up
			Window4X:= OffsetX
			Window4Y:= TopLeftY
		} else if (Column = 4) {
			OffsetX:= TopLeftX	 
			Column:=1
			Row:=++Row
			MouseMove %OffsetX%, %TopLeftY%
			Click up
			Window1X:= OffsetX
			Window1Y:= TopLeftY
		}
	} else if (Row = 2) {
		OffsetY:=TopLeftY + WinSizeY
		if (Column = 1) {
			OffsetX:= TopLeftX
			Column:=Column + 1
			MouseMove %OffsetX%, %OffsetY%
			Click up
			Window5X:= OffsetX
			Window5Y:= OffsetY
		} else if (Column = 2) {
			OffsetX:= TopLeftX + WinSizeX
			Column:=Column + 1
			MouseMove %OffsetX%, %OffsetY%
			Click up
			Window6X:= OffsetX
			Window6Y:= OffsetY
		} else if (Column = 3) {
			OffsetX:= TopLeftX + 2*WinSizeX
			Column:=Column + 1
			MouseMove %OffsetX%, %OffsetY%
			Click up
			Window7X:= OffsetX
			Window7Y:= OffsetY
		} else if (Column = 4) {
			OffsetX:= TopLeftX + 3*WinsizeX	 
			MouseMove %OffsetX%, %OffsetY%
			Click up
			Window8X:= OffsetX
			Window8Y:= OffsetY
		}
	}
}

;Msgbox, %Window1X%, %Window1Y%,%Window2X%, %Window2Y%,%Window3X%, %Window3Y%,%Window4X%, %Window4Y%,%Window5X%, %Window5Y%,%Window6X%, %Window6Y%,%Window7X%, %Window7Y%,%Window8X%, %Window8Y%
;ExitApp

Row:=1
Column:=1
Count:=0

loop %Wood% {
	if (Row = 1) {
		if (Column = 1) {
			Click %Window1X%, %Window1Y%
			ImageSearch Px, Py, W1TLx, W1TLy, W1BRx, W1BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX
				actiony:= PlaneRepairY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W1TLx, W1TLx, W1BRx, W1BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX
					actiony:= PlaneRepairY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W1TLx, W1TLy, W1BRx, W1BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX
					actiony:= PlaneRepairY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 2) {
			Click %Window2X%, %Window2Y%
			ImageSearch Px, Py, W2TLx, W2TLy, W2BRx, W2BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + WinSizeX
				actiony:= PlaneRepairY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W2TLx, W2TLy, W2BRx, W2BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + WinSizeX
					actiony:= PlaneRepairY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W2TLx, W2TLy, W2BRx, W2BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + WinSizeX
					actiony:= PlaneRepairY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 3) {
			Click %Window3X%, %Window3Y%
			ImageSearch Px, Py, W3TLx, W3TLy, W3BRx, W3BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + 2*WinSizeX
				actiony:= PlaneRepairY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W3TLx, W3TLy, W3BRx, W3BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + 2*WinSizeX
					actiony:= PlaneRepairY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W3TLx, W3TLy, W3BRx, W3BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + 2*WinSizeX
					actiony:= PlaneRepairY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 4) {
			Click %Window4X%, %Window4Y%
			ImageSearch Px, Py, W4TLx, W4TLy, W4BRx, W4BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + 3*WinSizeX
				actiony:= PlaneRepairY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W4TLx, W4TLy, W4BRx, W4BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + 3*WinSizeX
					actiony:= PlaneRepairY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W4TLx, W4TLy, W4BRx, W4BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + 3*WinSizeX
					actiony:= PlaneRepairY
					Click %actionx%, %actiony%
				}
			}
			Column:=1
			Row:=++Row
		}
	if (Row = 2) {
		if (Column = 1) {
			Click %Window5X%, %Window5Y%
			ImageSearch Px, Py, W5TLx, W5TLy, W5BRx, W5BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX
				actiony:= PlaneRepairY + WinSizeY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W5TLx, W5TLx, W5BRx, W5BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX
					actiony:= PlaneRepairY + WinSizeY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W5TLx, W5TLy, W5BRx, W5BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX
					actiony:= PlaneRepairY + WinSizeY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 2) {
			Click %Window6X%, %Window6Y%
			MsgBox, %Window6X%, %Window6Y%
			ImageSearch Px, Py, W6TLx, W6TLy, W6BRx, W6BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + WinSizeX
				actiony:= PlaneRepairY + WinSizeY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W6TLx, W6TLy, W6BRx, W6BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W6TLx, W6TLy, W6BRx, W6BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 3) {
			Click %Window7X%, %Window7Y%
			ImageSearch Px, Py, W7TLx, W7TLy, W7BRx, W7BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + 2*WinSizeX
				actiony:= PlaneRepairY + WinSizeY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W7TLx, W7TLy, W7BRx, W7BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + 2*WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W7TLx, W7TLy, W7BRx, W7BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + 2*WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %actionx%, %actiony%
				}
			}
			Column:=Column + 1
		} else if (Column = 4) {
			Click %Window8X%, %Window8Y%
			ImageSearch Px, Py, W8TLx, W8TLy, W8BRx, W8BRy, *50 Find_Plane.png
			if (ErrorLevel < 1) {
				actionx:= PlaneRepairX + 3*WinSizeX
				actiony:= PlaneRepairY + WinSizeY
				Click %actionx%, %actiony%
			}
			ImageSearch Px, Py, W8TLx, W8TLy, W8BRx, W8BRy, *50 Find_Repair.png
			if (ErrorLevel < 1) {
				if (Blade = 0) {
					OutofBlade:=++OutofBLade
					if (OutofBlade = Planes) {
						Msgbox, You are out of Stone Blades and all the Wood Planes need repair.'n
						Cleanup()
						ExitApp
					}
				} else if (Blade > 0) {
					actionx:= PlaneRepairX + 3*WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %action%, %actiony%
					Blade:=--Blade
				}
				ImageSearch Px, Py, W8TLx, W8TLy, W8BRx, W8BRy, *50 Find_Plane.png
				if (ErrorLevel < 1) {
					actionx:= PlaneRepairX + 3*WinSizeX
					actiony:= PlaneRepairY + WinSizeY
					Click %actionx%, %actiony%
				}
			}
			Column:=1
			Row:=1
		}
	}
	}
}

Msgbox, All wood has been planed.'n
ExitApp